<?php
/**
 * ReverseCLI
 * PHP Version 7.2
 *
 * @category ReverseCLI
 * @package  ReverseCLI
 * @author   Bimalmithran PB <bimal@moplet.com>
 * @license  http://reversecliapi.moplet.com/ ReverseCLI
 * @link     http://reversecliapi.moplet.com/v1
 */

error_reporting(E_ALL);
ini_set('display_errors', '1');

$apikey = isset($_GET['apikey']) ? $_GET['apikey'] : '';
$number = isset($_GET['number']) ? $_GET['number'] : '';
$postString = [
    'number' => $number,
    'type' => "reverse_cli",
    'platform' => "web",
];

$url = "https://api.checkmobi.com/v1/validation/request";
$ch = curl_init($url);
$jsonData = json_encode($postString);
// Tell cURL that we want to send a POST request.
curl_setopt($ch, CURLOPT_POST, 1);
// Attach our encoded JSON string to the POST fields.
curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);
// Set the content type to application/json
curl_setopt(
    $ch, CURLOPT_HTTPHEADER, [
        'Content-type: application/json',
        'Authorization: ' . $apikey,
        'Accept: application/json',
    ]
);

// Execute the request
$result = curl_exec($ch);
